<?php
///--- Fichier de fonctions statistiques---///


//******************STATISTIQUES RESERVATION***********************************************************************

function getStatResaByDay($date)
{
    $sql = "SELECT sum(duree_resa) AS duree, count(id_resa) AS nb
            FROM tab_resa
            WHERE dateresa_resa='".$date."'
			AND id_user_resa !=9 " ;
   $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
       $array['duree']  = $row['duree'];
        $array['resa']  = $row['nb'];
        return $row ;
    }
}
/**
 * getStatResa
 * renvoi le nombre de reservations par mois
 **/
function getStatResa($monthNum,$year)
{
    $sql = "SELECT count(id_resa) AS nb, SUM(duree_resa) AS duree
            FROM tab_resa
            WHERE dateresa_resa BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
            AND id_user_resa !=9 " ;
    $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result)  ;
        return $row ;
    }
}

/**
 * getStatResaComputer()
 * renvoi l'id de la machine la plus reserv
 **/
function getStatResaComputer($monthNum,$year)
{
    $sql = "SELECT count(R.id_computer_resa) AS nb ,
                   R.id_computer_resa,
                   C.nom_computer,
                   SUM(R.duree_resa) AS duree
        FROM tab_resa AS R
        INNER JOIN tab_computer AS C ON C.id_computer=R.id_computer_resa
        WHERE dateresa_resa BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
		AND id_user_resa !=9
        GROUP BY id_computer_resa
        ORDER BY duree DESC" ;
  $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        return $result ;
    }
}
// Stats frequence des visites par mois

function getStatFrequence($y)
{

$sql="SELECT COUNT(`id_user_resa`) AS frequence,`id_user_resa`
		FROM `tab_resa`
		WHERE YEAR (dateresa_resa)='".$y."'
		GROUP BY `id_user_resa`";
		
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
    $nbA=0;
	$nbB=0;
	$nbC=0;
		if ($y==date('Y')){
			$nombreSemaines=date('W');
		}else{
			$nombreSemaines=52;
		}
		
	$nbf=mysqli_num_rows($result);
	for ( $i=1; $i<=$nbf ; ++$i)
		{
			$row=mysqli_fetch_array($result);
			$f=$row['frequence'];
				if ($f>0 and $f<5)
				{
					$nbA=$nbA+1;
				}elseif ($f>=5 and $f<9){
					$nbB=$nbB+1;
				}elseif ($f>=9){
					$nbC=$nbC+1;
				}
		}
	$array['f1']=round(($nbA/$nombreSemaines),2);
	$array['f2']=round(($nbB/$nombreSemaines),2);
	$array['f3']=round(($nbC/$nombreSemaines),2);
	return $array;
	   
    }
}
// retoune le nombre de poste unique occup
function pOccupe($nb1,$nb2,$date)
{
  $sql = "SELECT id_resa
        FROM tab_resa
        WHERE dateresa_resa= '".$date."'
		AND debut_resa BETWEEN '".$nb1."' AND '".$nb2."'
		GROUP BY id_computer_resa 
		";
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if(mysqli_num_rows($result)>0){
	return $result ;
	}else{
	return FALSE;}
	
}

//
//recupre le nombre de postes occups par tranche horaire 
// debut de tranche, nombre de resa dans la tranche
function statTrancheHour($nb1,$nb2,$nomjour,$year)
{
	$sql= "SELECT count( `id_resa` ) AS NB
	FROM `tab_resa`
	WHERE DAYNAME( `dateresa_resa` ) = '".$nomjour."'
	AND YEAR( `dateresa_resa` ) ='".$year."'
	AND `debut_resa` BETWEEN '".$nb1."' AND '".$nb2."' 
	";
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if (mysqli_num_rows($result)>0)
	{
		$row = mysqli_fetch_array($result);
		return $row['NB'];
		
	}else{
		return FALSE;
	}
}

function getJourEng($nb)
{
    switch ($nb)
    {
        case "0":
            $day = "Sunday";
        break;
        case "1":
            $day ="Monday";
        break;
        case "2":
            $day ="Tuesday";
        break;
        case "3":
            $day ="Wednesday";
        break;
        case "4":
            $day ="Thursday";
        break;
        case "5":
            $day ="Friday";
        break;
        case "6":
            $day ="Saturday";
        break;
        
    }   
    return $day;
}
/*
//milieu de tranche, nombre de resa accumulee avec leur duree, commenant et finissant dans la tranche
// pour avoir le nombre de personnes dans l'epn par tranche horaire.
function statTrancheHour2($nb1,$nb2,$date)
{
  $sql = "SELECT  count(id_resa) AS nb
        FROM tab_resa
        WHERE dateresa_resa= '".$date."'
		AND debut_resa+duree_resa BETWEEN ".$nb1." AND ".$nb2."
		";
	opendb();
    $result = mysql_query($sql);
	closedb;
	$row = mysql_fetch_array($result);
    $nb = $row['nb'];
    return $nb ;
    
}
*/
//Frequence par types d'abonnes
function getStatFrequenceTypeAbo($mois,$nb1,$nb2, $year)
{
 $anneeRef = $year;   // 2006
 $anneeHaute = $anneeRef-$nb1; // ex : entre 7 et 13 ans anneeHaute = 1999 et annebasse = 1993
 $anneeBasse = $anneeRef-$nb2; 

    $sql = "SELECT count(id_resa) AS nb
        FROM tab_resa
		INNER JOIN tab_user ON id_user=id_user_resa
        WHERE dateresa_resa BETWEEN '".$anneeRef."-".$mois."-01' AND '".$anneeRef."-".$mois."-31'
		AND annee_naissance_user <= ".$anneeHaute." AND annee_naissance_user >= ".$anneeBasse." 
		";
	
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    $row = mysqli_fetch_array($result);
	return $row['nb'] ;
}
// stat duree moyenne des consultations
function getStatFrequenceDuree($m,$y,$d1,$d2)
{
$sql="SELECT COUNT(id_resa) AS duree
		FROM tab_resa
		WHERE dateresa_resa BETWEEN '".$y."-".$m."-01' AND '".$y."-".$m."-31'
		AND duree_resa >'".$d1."' and duree_resa <'".$d2."'
		";
		
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
     $row=mysqli_fetch_array($result);
	 return $row['duree'];
	   
    }
}
function getStatDureeConsult($m,$y)
{
$sql="SELECT COUNT(id_resa) AS nd
		FROM tab_resa
		WHERE dateresa_resa BETWEEN '".$y."-".$m."-01' AND '".$y."-".$m."-31'
		";
		
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
     $row=mysqli_fetch_array($result);
	 return $row['nd'];
	   
    }
}


//nombre heure par types d'abonnes
function getStatHeureTypeAbo($y,$mois)
{
    $sql = "SELECT sum(duree_resa) as duree
        FROM tab_resa
		INNER JOIN tab_user ON id_user=id_user_resa
        WHERE adresse_user LIKE '%AFTAM%'
		AND dateresa_resa BETWEEN '".$y."-".$mois."-01' AND '".$y."-".$mois."-31'
		";
	
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    $row = mysqli_fetch_array($result);
	return $row['duree'] ;
}

/**
 * renvoi le nombre de reservation et le nombre
 * d'heures pour un jour sous la forme d'un tableau
 **/
 /*
function getStatResaByDay($date,$dureetotal,$nbtotal,$unit)
{
    $sql = "SELECT sum(duree_resa) AS duree, count(id_resa) AS nb
            FROM tab_resa
            WHERE dateresa_resa='".$date."'
			AND id_user_resa !=9 " ;
    opendb();
    $result = mysql_query($sql);
    closedb()      ;
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysql_fetch_array($result);
        $array['height'] = $row['duree']*$unit;
        $array['duree']  = $row['duree'];
        $array['resa']   = $row['nb'];
        return $array ;
    }
}
*/
////Statistique reservation par tranche d'age
function getStatResaByAge()
{

}




//****
//*************                STATISTIQUES ADHERENTS                      ************************************************
//***

// recupere le nombre total d'adherents
function getadherenttotal()
{
$sql=" SELECT count(id_user) as nbadh FROM tab_user
		WHERE status_user=1
		";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
if ($result==FALSE)
	{
      return FALSE;
	}
    else
	{
		$row=mysqli_fetch_array($result);
		$nbadh=$row['nbadh'];
      return  $nbadh ;
	}
	
}
//
// statSexe()
// recupere la rpartition homme femme

function statSexe($sex)
{
    $sql ="SELECT `sexe_user`
        FROM `tab_user`
        WHERE `sexe_user` = '".$sex."'
		AND status_user = 1
		";
    $db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if (FALSE == $result)
    {
        return FALSE ;
    }
    else
    {
        $nb = mysqli_num_rows($result);
        return $nb ;
    }
} 

//
// statTranche()
// recupere le nombre de personnes dans une tranche d'age
function statTranche($nb1,$nb2,$nbtotal)
{
    $anneeRef = date("Y");   // 2006
    $anneeHaute = $anneeRef-$nb1; // ex : entre 7 et 13 ans anneeHaute = 1999 et annebasse = 1993
    $anneeBasse = $anneeRef-$nb2; 
    $sql = "SELECT `id_user`
        FROM `tab_user`
        WHERE `annee_naissance_user` <= ".$anneeHaute." AND `annee_naissance_user` >= ".$anneeBasse." 
		AND status_user = 1 ";
	
	$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    $nb = mysqli_num_rows($result);
	 return $nb ;
}

//
// statInscription()
// retourne nombre d'inscrit par mois et par an
function statInscription($mois,$nb)
{
   $annee=date('Y');
   switch ($nb)
    {
        case "1": //1 = actifs
   $sql="SELECT count(`id_user`) AS nb 
		FROM `tab_user` 
		WHERE `date_insc_user` BETWEEN '".$annee."-".$mois."-01' AND '".$annee."-".$mois."-31'
		AND status_user=1
		";
		break;
	
	 case "2": //2 = inactifs
	$sql="SELECT count(`id_user`) AS nb 
		FROM `tab_user` 
		WHERE `date_insc_user` BETWEEN '".$annee."-".$mois."-01' AND '".$annee."-".$mois."-31'
		AND status_user=2
		";
		break;
	}
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if ($result == FALSE)
    {
        return FALSE;
    }
    else
    { 
    //         
    $row = mysqli_fetch_array($result)  ;
    return $row['nb'];
    }
}




//
// statCsp()
// retourne la rpartition des adherents par Csp
function statCsp($csp)
{                              
  $csp =addslashes($csp) ;
  $sql = "SELECT count(`id_user`) AS nb FROM `tab_user`  
          WHERE `csp_user` = '".$csp."'
          AND `status_user`=1" ;
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
  if($result == FALSE)
  {
      return FALSE;
  }
  else
  {
      $row = mysqli_fetch_array($result)  ;
      return $row['nb'] ;
  }
}




//**************                 STATISTIQUES ATELIERS           ********************************************************


//statistiques nombre d'heures d'ateliers par mois
function getStatAtelierByMonth($year,$monthNum,$nbtotal,$unit)
{
    $sql = "SELECT SUM(duree_atelier) AS duree, count(id_atelier) AS nb
            FROM tab_atelier
            WHERE date_atelier BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
			" ;
			
	
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
		
        $array['height'] = $row['duree']*$unit;
       $array['duree_atelier']  = $row['duree'];
        $array['atelier']   = $row['nb'];
       return $array ;
    }
}

//Statistique nombre d'atelier par mois
function getStatAtelier($year)
{
    $sql = "SELECT count(id_atelier) AS nb, SUM(duree_atelier) AS duree
            FROM tab_atelier
            WHERE date_atelier BETWEEN '".$year."-01-01' AND '".$year."-12-31'
            " ;
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result)  ;
        return $row ;
    }
}

//Statistique nombre d'atelier par mois par catgorie
function getStatAtelierCategorie($year,$monthNum,$id_categorie,$unitV2)
{
    $sql = "SELECT count(id_atelier) AS nb_atelier, id_categorie
			FROM tab_atelier_stat
			WHERE date_atelier BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
			AND id_categorie='".$id_categorie."'
			"; 
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
       $row = mysqli_fetch_array($result);
		$array['height'] = $row['nb_atelier']*$unitV2;
       $array['id_categorie']  = $row['id_categorie'];
        $array['nb_atelier']   = $row['nb_atelier'];
       return $array ;
    }
}

///stat de prsence d'un adhrent  une liste d'ateliers
function listAteliersPresent($atelier)
{
$sql="SELECT  `id_atelier`,`ids_presents` FROM `tab_atelier_stat` WHERE `id_atelier`='".$atelier."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
       $row = mysqli_fetch_array($result);
	return $row ;
    }

}



// stat nombre de prsent par atelier

function getStatPresents($m,$y)
{
	$sql="SELECT round((nombre_presents/nombre_inscrits)*100) as total,nombre_presents, nombre_inscrits ,date_atelier, nom_atelier
			FROM `tab_atelier_stat`
			WHERE date_atelier BETWEEN '".$y."-".$m."-01' AND '".$y."-".$m."-31'
			GROUP BY date_atelier ASC;
			";
	
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}	
function getStatTPresentMois($m,$y)
{
$sql="SELECT  SUM( nombre_presents ) AS P, SUM( nombre_inscrits ) AS I
			FROM `tab_atelier_stat`
			WHERE date_atelier BETWEEN '".$y."-".$m."-01' AND '".$y."-".$m."-31'
			";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $p=mysqli_fetch_array($result);
		$var=($p["P"]/$p["I"])*100;
		return $var;
    }

}


// stat nombre d'atelier par catgories + nombre de prsents par catgories.
function CountCategories()
{
$sql="SELECT COUNT(id_atelier_categorie) as nbc FROM tab_atelier_categorie";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
         $row = mysqli_fetch_array($result)  ;
      return $row['nbc'] ;
    }
}

function statAtelierCategorie($y,$c)
{
$sql=" SELECT COUNT(id_programmation) AS npCat, label_categorie
	FROM tab_atelier_stat,tab_atelier_categorie
	WHERE date_atelier BETWEEN '".$y."-01-01' AND '".$y."-12-31'
	AND id_categorie = id_atelier_categorie
	AND id_categorie=".$c."
	";

$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}
function StatPresentsCat($y,$c)
{
	$sql="SELECT SUM(nombre_presents) AS NumP, SUM(nombre_inscrits) AS NumI ,label_categorie
			FROM tab_atelier_stat,tab_atelier_categorie
			WHERE date_atelier BETWEEN '".$y."-01-01' AND '".$y."-12-31'
			AND id_categorie = id_atelier_categorie
			AND id_categorie=".$c."
			
			";
	
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}	

//stat sur le nombre total des adherents inscrits/presents
function getStatInscrits($year)
{
$sql=" SELECT SUM(nombre_inscrits) as inscrits, SUM(nombre_presents) as presents
FROM tab_atelier_stat
WHERE date_atelier BETWEEN '".$year."-01-01' AND '".$year."-12-31'

";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}
// inscription des jeunes
function getStatJInscrits($year)
{
$sql=" SELECT SUM(nombre_inscrits) as inscrits, SUM(nombre_presents) as presents
FROM tab_atelier_stat
WHERE date_atelier BETWEEN '".$year."-01-01' AND '".$year."-12-31'
AND id_categorie=8
";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}
///nombre des ateliers sur l'anne catgorie adultes/enfant
function statAtelierAn($year, $cat)
{
	if ($cat==1){
		$sql=" SELECT COUNT(id_programmation) as nbateliers
		FROM tab_atelier_stat
		WHERE date_atelier BETWEEN '".$year."-01-01' AND '".$year."-12-31'
		AND id_categorie=8
		";
	} else if ($cat==0) {
		$sql=" SELECT COUNT(id_programmation) as nbateliers
		FROM tab_atelier_stat
		WHERE date_atelier BETWEEN '".$year."-01-01' AND '".$year."-12-31'
		
		";
	}
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
		$row=mysqli_fetch_array($result);
		return $row["nbateliers"];
    }

}


///retrouver les ateliers d'un adhrents par les forfaits
function UserStatInscription($iduser,$statut)
{
$sql="SELECT `id_atelier`,`id_session` FROM `rel_user_forfait` WHERE `id_user`='".$iduser."' AND `statut_forfait`='".$statut."' ";
$db=opendb();
$result = mysqli_query($db,$sql);
closedb($db);
if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
	return $result;
    }

}

///determiner la prsences aux ateliers ou aux sessions 
// RAPPEL 0=inscrit, 1=prsent, 2= en attente  /// type : 1->atelier, 2->session
function getUserStatutAS($iduser,$statut,$type,$statutatelier)
{
if($type==1){
	$sql="SELECT rel.`id_atelier`, atelier.statut_atelier 
	FROM `rel_atelier_user` as rel,tab_atelier as atelier 
	WHERE `id_user`=".$iduser." 
	AND `status_rel_atelier_user`=".$statut." 
	AND rel.id_atelier=atelier.id_atelier
	AND statut_atelier=".$statutatelier."
	
	";
	
	
}else if ($type==2){
	$sql="SELECT rel.`id_session` , rel.`id_datesession` , dat.date_session, ses.`status_session`
	FROM  `rel_session_user` AS rel, tab_session_dates AS dat, tab_session AS ses 
	WHERE  `id_user` =".$iduser."
	AND  `status_rel_session` =".$statut."
	AND rel.id_datesession = dat.`id_datesession` 
	AND rel.`id_session` = dat.`id_session` 
	AND rel.`id_session` = ses.`id_session` 
	AND ses.status_session =".$statutatelier."
	AND dat.statut_datesession<2
	ORDER BY rel.`id_session` , dat.`date_session` ASC 
	";
}

$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }

}

function getUserPresence($idatelier)
{
$sql="SELECT `ids_presents` FROM `tab_atelier_stat` WHERE `id_atelier`='".$idatelier."' ";

$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }
}

///********************* Statistiques sur les sessions **********************
//nombre de sessions dans l'anne, total inscrits, total prsents
function statSessionAn($year)
{
$sql=" SELECT COUNT(id_programmation) as nbsession, SUM(nombre_presents) as presents, SUM(nombre_inscrits) as inscrits
FROM tab_session_stat
WHERE date_session BETWEEN '".$year."-01-01' AND '".$year."-12-31'
";

$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        
		return $result;
    }

}

/// compter le nombre de sessions
function countSession()
{
$sql=" SELECT COUNT(DISTINCT `id_session`) as nb
FROM `tab_session_stat`
";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row=mysqli_fetch_array($result);
		return $row['nb'];
    }

}
///Liste des sessions actives///
// retourne array des n de sessions actives
function listSession()
{
$sql=" SELECT DISTINCT(`id_session`)
FROM `tab_session_stat`
order by date_session DESC
";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
       while($row=mysqli_fetch_array($result)){
	   $r[]=$row[0];
	   }
	   return $r;
    }

}
function countPresentsSession($id,$numero)
{
$sql="SELECT count( `id_rel_session` ) AS present
FROM `rel_session_user`
WHERE `id_session` =".$id."
AND `status_rel_session` =1
AND `numero_date` =".$numero."
";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
      $row=mysqli_fetch_array($result);
	  return $row["present"];
    }
}

function getPresentsSession($id)
{
$sql="SELECT `nombre_presents`,`nombre_inscrits`,`id_date_session` 
FROM `tab_session_stat` WHERE `id_session`=".id." ";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
	return $result;
	}

}



//
///Statistique frquence participation par sessions/dates
//
function statSessionParticip($x)
{
$sql=" SELECT sum(nombre_presents) as presents, sum(nombre_inscrits) as inscrits, nom_session
FROM tab_session_stat
WHERE id_session='".$x."'
";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        return $result;
    }
}

function statSessionCategory($categorie,$year)
{
$sql="SELECT SUM(nombre_presents) as presents, SUM(nombre_inscrits) as inscrits, label_categorie
	FROM tab_session_stat, tab_atelier_categorie
	WHERE id_categorie='".$categorie."'
	AND date_session BETWEEN '".$year."-01-01' AND '".$year."-12-31'
	AND id_categorie = id_atelier_categorie
";
	
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        return $result;
    }

}



// ***************************   STATISTIQUES IMPRESSION         ***********************************************
//
//getStatPrint
//renvoi le nombre d'impressions par mois
//
///fonctions sur l'impression
/////recuperer la liste de tous les adh qui impriment et pas les autres !
// recupere le nombre d'adherents qui impriment

function getstatimprim()
{
$sql="SELECT DISTINCT print_user
		FROM tab_print
		";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
if ($result==FALSE)
	{
      return FALSE;
	}
    else
	{
	$nb = mysqli_num_rows($result) ;
      return $nb ;
	}	
}

function getStatPrintcredit($monthNum,$year)
{
    $sql = "SELECT SUM(print_credit) AS nombrepages
		FROM tab_print
		WHERE print_date BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
			" ;
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	$row = mysqli_fetch_array($result);
    $nb = $row['nombrepages'];
    
    if ($nb==FALSE) 
        return FALSE;
    else
    {
    	return $nb ;				
		
	}
}


function getStatNC($tarif)
{
$sql = "SELECT SUM(print_credit) AS total, donnee_tarif
		FROM tab_print, tab_tarifs
		WHERE tab_print.print_tarif=tab_tarifs.id_tarif 
		AND tab_print.print_tarif='".$tarif."'
		";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
	$prix=$row['total']*$row['donnee_tarif'];
        return $prix ;
    }
}

function getNBC($i)
{
$sql="SELECT id_tarif FROM  `tab_tarifs` 
 WHERE `comment_tarif` LIKE '%".$i."%'
 AND `categorie_tarif` =1";

$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
	return $row["id_tarif"];
    }
}


function getStatPages($monthNum,$year,$tarif)
{
$sql = "SELECT SUM(`print_credit`) AS pages
		FROM tab_print
		WHERE print_date BETWEEN '".$year."-".$monthNum."-01' AND '".$year."-".$monthNum."-31'
		AND `print_tarif`='".$tarif."'
		";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
    if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
        return $row["pages"] ;
    }

}
///
//***** stat impression repartition jour de la semaine ****////

function statImprimJS($nomjour,$year)
{
$sql=" SELECT SUM(print_credit) as debit
	FROM `tab_print`
	WHERE DAYNAME( `print_date` ) = '".$nomjour."'
	AND `print_date` BETWEEN '".$year."-01-01' AND '".$year."-12-31'
	";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);
	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
        return $row['debit'] ;
    }

}
function statImprimAn($year)
{
$sql="SELECT SUM(print_credit) as total
		FROM `tab_print`
		WHERE `print_date` BETWEEN '".$year."-01-01' AND '".$year."-12-31'";
$db=opendb();
  $result = mysqli_query($db,$sql);
  closedb($db);

	if($result == FALSE)
    {
        return FALSE;
    }
    else
    {
        $row = mysqli_fetch_array($result);
        return $row['total'] ;
    }
}


///**************STATISTIQUES ATELIER/SESSION PAR ADHERENT*************************////////////
///
//





?>